# InsertQuery Class Reference
[Dynamic query builder]

Inheritance diagram for InsertQuery:
[legend]

List of all members.

## Public Member Functions

| into ($table)
| setTable ($table)
| Just an alias to behave like UpdateQuery.
| setSelect (SelectQuery $select)
| toDialectString (Dialect $dialect)
| where (LogicalObject $exp, $logic=null)
| andWhere (LogicalObject $exp)
| orWhere (LogicalObject $exp)

## Protected Member Functions

| toDialectStringValues ($query, Dialect $dialect)
| toDialectStringSelect ($query, Dialect $dialect)

## Protected Attributes

| $select = null

## Detailed Description

Definition at line 15 of file InsertQuery.class.php.

## Member Function Documentation

InsertQuery::andWhere | ( | LogicalObject $ | exp | ) |

Definition at line 72 of file InsertQuery.class.php.

InsertQuery::into | ( | $ | table | ) |

Returns:
  InsertQuery

Definition at line 25 of file InsertQuery.class.php.

References InsertOrUpdateQuery::$table.

Referenced by setTable().

InsertQuery::orWhere | ( | LogicalObject $ | exp | ) |

Definition at line 77 of file InsertQuery.class.php.

InsertQuery::setSelect | ( | SelectQuery $ | select | ) |

Returns:
  InsertQuery

Definition at line 45 of file InsertQuery.class.php.

InsertQuery::setTable | ( | $ | table | ) |

Just an alias to behave like UpdateQuery.

Returns:
  InsertQuery

Reimplemented from InsertOrUpdateQuery.

Definition at line 37 of file InsertQuery.class.php.

References InsertOrUpdateQuery::$table, and into().

Here is the call graph for this function:

InsertQuery::toDialectString | ( | Dialect $ | dialect | ) |

Reimplemented from InsertOrUpdateQuery.

Definition at line 52 of file InsertQuery.class.php.

References toDialectStringSelect(), and toDialectStringValues().

Here is the call graph for this function:

InsertQuery::toDialectStringSelect | ( | $ | query,
|  | Dialect $ | dialect |
| ) |  |  | `[protected]`

Definition at line 111 of file InsertQuery.class.php.

References InsertOrUpdateQuery::$fields, and Dialect::quoteField().

Referenced by toDialectString().

Here is the call graph for this function:

InsertQuery::toDialectStringValues | ( | $ | query,
|  | Dialect $ | dialect |
| ) |  |  | `[protected]`

Definition at line 82 of file InsertQuery.class.php.

References InsertOrUpdateQuery::$fields, and Dialect::quoteField().

Referenced by toDialectString().

Here is the call graph for this function:

InsertQuery::where | ( | LogicalObject $ | exp,
|  | $ | logic = `null` |
| ) |  |  |

Definition at line 67 of file InsertQuery.class.php.

## Member Data Documentation

InsertQuery::$select = null`[protected]`

Definition at line 20 of file InsertQuery.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/InsertQuery.class.php